Strict Standards: Declaration of action_plugin_importoldchangelog::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php on line 8

Strict Standards: Declaration of action_plugin_metaheaders::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/metaheaders/action.php on line 140

Strict Standards: Declaration of action_plugin_importoldindex::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/importoldindex/action.php on line 57

Strict Standards: Declaration of action_plugin_googleanalytics::register() should be compatible with DokuWiki_Action_Plugin::register($controller) in /home/project-web/genj/htdocs/wiki/lib/plugins/googleanalytics/action.php on line 50

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 208

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 211

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 421

Deprecated: Assigning the return value of new by reference is deprecated in /home/project-web/genj/htdocs/wiki/inc/parserutils.php on line 594

Strict Standards: Declaration of cache_instructions::retrieveCache() should be compatible with cache::retrieveCache($clean = true) in /home/project-web/genj/htdocs/wiki/inc/cache.php on line 291

Deprecated: Function split() is deprecated in /home/project-web/genj/htdocs/wiki/inc/auth.php on line 154

Warning: Cannot modify header information - headers already sent by (output started at /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php:8) in /home/project-web/genj/htdocs/wiki/inc/auth.php on line 245

Strict Standards: Only variables should be passed by reference in /home/project-web/genj/htdocs/wiki/doku.php on line 71

Warning: Cannot modify header information - headers already sent by (output started at /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php:8) in /home/project-web/genj/htdocs/wiki/inc/actions.php on line 370

Warning: Cannot modify header information - headers already sent by (output started at /home/project-web/genj/htdocs/wiki/lib/plugins/importoldchangelog/action.php:8) in /home/project-web/genj/htdocs/wiki/inc/actions.php on line 383
fr:introduction
Warning: date(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /home/project-web/genj/htdocs/wiki/inc/template.php on line 302

Accueil

GenealogyJ est un programme vous permettant de visualiser et d'éditer des données généalogiques. Il s'adresse tant à l'amateur, qu'à l'historien familial, qu'au chercheur dans le domaine de la généalogie.

GenJ respecte en tous points le standard Gedcom (norme que doit suivre un fichier généalogique). Il vous offre plusieurs modes de visualisation, que ce soit sous forme de tableaux, d'arbres généalogiques, de chronogrammes. Il vous donne un système de localisation géographique, des outils, des données statistiques, etc…

Il est écrit à 100 % en langage java et donc tourne sous de nombreux environnements. GenJ est un logiciel libre, vous pouvez donc le redistribuer, et/ou le modifier en respectant les termes de la licence GNU (GNU General Public Licence) telle qu'elle est publiée par la Free Software Foundation.

Nouveau

Le 18 Février 2010:

GenealogyJ 3.0 est maintenant disponible Vous pouvez l'obtenir dans la section de Téléchargement.

Prérequis

Pour pouvoir faire tourner GenJ, vous devez avoir un système qui comporte une Machine Virtuelle Java, version 1.6 ou supérieure, disponible pour :

Commencer

Regardez un peu les Captures d'Ecran ou promenez-vous dans l'Aide en ligne pour en apprendre un petit peu plus sur GenJ. Ceux qui veulent récupérer le logiciel, peuvent aller dans la zone de Téléchargement pour obtenir les fichiers nécessaires; l'accès SVN est disponible également dans Le Coin des Développeurs.

Un Support est fourni aussi au travers d'un forum public (où vous pouvez poser vos questions en plusieurs langues, y compris le français).